> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easystreetoffers.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Cash Offers

> Creates an offer request. 



## OpenAPI

````yaml post /offer-requests
openapi: 3.0.1
info:
  title: OpenAPI ESO
  description: ESO
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://v2.easystreetoffers.com/api/v2
security:
  - ApiKeyAuth: []
paths:
  /offer-requests:
    post:
      description: 'Creates an offer request. '
      requestBody:
        description: New offer request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/offer_request_address'
            example:
              request:
                offer_request_asking: 3900000
                test: true
              property:
                UnparsedAddress: 123 Easy St, Easy, CA 12345
                ListAgentEmail: Agent@gmail.com
                ListAgentFirstName: First Name
                ListAgentLastName: Last Name
                ListAgentDirectPhone: '+15551234567'
                PropertyCondition: Needs Minor Aesthetic Repairs
                MlsStatus: Off-market
                PropertySubType: Single Family Residence
                ConstructionMaterials:
                  - Brick
                  - Wood Siding
                BedroomsTotal: 4
                BathroomsFull: 2
                BathroomsHalf: 1
                LivingArea: 1890
                LotSizeSquareFeet: 7400
                YearBuilt: 1987
                GarageYN: true
                GarageSpaces: 2
                CarportYN: false
                CarportSpaces: 1
                OpenParkingYN: true
                OpenParkingSpaces: 2
                AssociationYN: true
                AssociationFee: 55
                AssociationFeeFrequency: Monthly
                SeniorCommunityYN: false
                PoolPrivateYN: false
                SpaYN: false
                WaterSource:
                  - Public
                Sewer:
                  - Public Sewer
                MortgagePayoff: 112500
                OccupantType: Owner
                TotalActualRent: 2400
                LeaseExpiration: '2026-12-31'
                OccupancyAtClosing: Vacant
                roof_age: 9
                waterheater_age: 6
                hvac_age: 7
                rehab_type: Light Rehab
                Notes: This is a note about the property.
                EstimatedRenovation: 18000
              media:
                - https://picsum.photos/200
        required: true
      responses:
        '201':
          description: successful request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/offer_requests'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    offer_request_address:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/offer_requests_request'
        property:
          $ref: '#/components/schemas/inventory_properties_request_address'
          description: >-
            property fields named with Pascal Case convention follow the RESO
            2.0 standard
        assumptions:
          description: Analyst assumptions. Only available to buyers
          type: array
          items:
            $ref: '#/components/schemas/analyst_assumptions'
        media:
          description: >-
            List of signed URLs. Note that the URLs will become invalid after 10
            minutes.
          type: array
          items:
            type: string
    offer_requests:
      type: object
      properties:
        offer_request_asking:
          type: integer
          description: Asking price for the property
          format: bigint
        offer_request_status:
          type: string
          format: string
          enum:
            - in_submission
            - initial_offer
            - active
            - expired
            - denied
            - under_contract
            - closed
            - processing
          example: active
          description: |-
            Offer request statuses:
             * `in_submission` - Offer request is incomplete.
             * `initial_offer` - Offer request has complete property details, and has received an instant preview offer, but not yet submitted to the marketplace.
             * `active` - Offer request is active in the marketplace and receiving cash offers.
             * `expired` - Offer request has expired and is ready to be renewed.
             * `denied` - Offer request does not meet our criteria, and has been denied.
             * `under_contract` - Offer request is currently under contract with a buyer.
             * `closed` - Offer request has successfully closed after previously being under_contract.
             * `processing` - Offer request is currently retrieving property data or buyer filtering is occurring.
        offer_requested_at:
          type: string
          format: timestamp with time zone
          description: timestamp with time zone
          default: now()
        offer_requested_decided_by:
          type: string
          format: uuid
        offer_request_is_mls:
          type: boolean
          description: Is the property for the offer request listed on MLS
          format: boolean
        offer_request_deal_type:
          type: string
          format: text
        offer_request_expires_at:
          type: string
          format: timestamp with time zone
          description: timestamp with time zone
        offer_request_is_approved:
          type: boolean
          description: >-
            Field is true after we have approved the offer request to be sent to
            buyers.
          format: boolean
        offer_request_decided_at:
          type: string
          format: timestamp with time zone
          description: timestamp with time zone
        offer_request_viewed_at:
          type: string
          format: timestamp with time zone
          description: timestamp with time zone
        offer_request_refreshed_at:
          type: string
          format: timestamp with time zone
          description: timestamp with time zone
        inventory_property_id:
          type: integer
          description: >-
            Used to uniquely identify the property in our system. Can safely
            ignore
          format: bigint
        test:
          type: boolean
          format: boolean
          description: set to true s
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    offer_requests_request:
      type: object
      properties:
        offer_request_asking:
          type: integer
          format: bigint
        test:
          type: boolean
          format: boolean
          description: set to true s
    inventory_properties_request_address:
      type: object
      required:
        - UnparsedAddress
      properties:
        UnparsedAddress:
          maxLength: 255
          type: string
          format: character varying
        ListAgentEmail:
          maxLength: 80
          type: string
          format: character varying
        ListAgentFirstName:
          type: string
          format: text
        ListAgentLastName:
          type: string
          format: text
        ListAgentDirectPhone:
          maxLength: 16
          type: string
          format: character varying
        PropertyCondition:
          type: string
          nullable: true
          description: The condition of the property
          enum:
            - Move-in Ready
            - Needs Minor Aesthetic Repairs
            - Needs Above Normal Repairs
            - Needs Major Repairs
            - Full Remodel
          example: Needs Minor Aesthetic Repairs
        MlsStatus:
          type: string
          enum:
            - Active
            - Off-market
            - Wholesale
            - New Construction
            - MLS Listed
            - seller_considering
          example: Off-market
        PropertySubType:
          type: string
          enum:
            - Single Family Residence
            - Apartment
            - Condominium
            - Cabin
            - Manufactured Home
            - Mobile Home
            - Duplex
            - Triplex
            - Quadruplex
            - Townhouse
          example: Single Family Residence
        ConstructionMaterials:
          type: array
          items:
            type: string
            enum:
              - Brick
              - Wood Siding
              - Wood Framing
              - Concrete
              - Stucco
              - Vinyl Siding
              - Stone
              - Frame
              - Other
              - Unknown
          example:
            - Brick
            - Wood Siding
        BedroomsTotal:
          type: integer
          example: 4
        BathroomsFull:
          type: integer
          example: 2
        BathroomsHalf:
          type: integer
          example: 1
        LivingArea:
          type: integer
          example: 1890
        LotSizeSquareFeet:
          type: integer
          example: 7400
        YearBuilt:
          type: integer
          example: 1987
        GarageYN:
          type: boolean
          example: true
        GarageSpaces:
          type: integer
          example: 2
        CarportYN:
          type: boolean
          example: false
        CarportSpaces:
          type: integer
          example: 1
        OpenParkingYN:
          type: boolean
          example: true
        OpenParkingSpaces:
          type: integer
          example: 2
        AssociationYN:
          type: boolean
          example: true
        AssociationFee:
          type: integer
          example: 55
        AssociationFeeFrequency:
          type: string
          enum:
            - Annually
            - Bi-Monthly
            - Bi-Weekly
            - Daily
            - Monthly
            - One Time
            - Quarterly
            - Seasonal
            - Semi-Annually
            - Semi-Monthly
            - Weekly
          example: Monthly
        SeniorCommunityYN:
          type: boolean
          example: false
        PoolPrivateYN:
          type: boolean
          example: false
        SpaYN:
          type: boolean
          example: false
        WaterSource:
          type: array
          items:
            type: string
            enum:
              - Cistern
              - None
              - Other
              - Private
              - Public
              - Shared Well
              - Spring
              - Well
          example:
            - Public
        Sewer:
          type: array
          items:
            type: string
            enum:
              - Aerobic Septic
              - Cesspool
              - Engineered Septic
              - Holding Tank
              - Mound Septic
              - None
              - Other
              - Perc Test On File
              - Perc Test Required
              - Private Sewer
              - Public Sewer
              - Septic Needed
              - Septic Tank
              - Shared Septic
              - Unknown
          example:
            - Public Sewer
        MortgagePayoff:
          type: integer
          example: 112500
        OccupantType:
          type: string
          enum:
            - Owner
            - Tenant
            - Vacant
          example: Owner
        TotalActualRent:
          type: integer
          example: 2400
        LeaseExpiration:
          type: string
          format: date
          example: '2026-12-31'
        OccupancyAtClosing:
          type: string
          enum:
            - Vacant
            - Tenant
            - NeedsLeaseback
          example: Vacant
        roof_age:
          type: integer
          example: 9
        waterheater_age:
          type: integer
          example: 6
        hvac_age:
          type: integer
          example: 7
        rehab_type:
          type: string
          example: Light Rehab
        Notes:
          type: string
          example: This is a note about the property.
        EstimatedRenovation:
          type: integer
          example: 18000
    analyst_assumptions:
      type: object
      properties:
        assumption_id:
          type: integer
          description: Identifies assumptions.
          format: bigint
        created_at:
          type: string
          format: timestamp with time zone
          default: now()
        inventory_property_id:
          type: integer
          description: The property to which these assumptions apply.
          format: bigint
        ltr_monthly_rent:
          type: integer
          format: bigint
        ltr_annual_rent_increase:
          type: number
          format: double precision
        ltr_arv:
          type: integer
          format: bigint
        ltr_renovation_cost:
          type: integer
          format: bigint
        str_season_1_daily_rate:
          type: integer
          format: bigint
        str_season_2_daily_rate:
          type: integer
          format: bigint
        str_season_3_daily_rate:
          type: integer
          format: bigint
        str_season_4_daily_rate:
          type: integer
          format: bigint
        str_arv:
          type: integer
          format: bigint
        str_renovation_cost:
          type: integer
          format: bigint
        rr_weekly_rent_per_room:
          type: integer
          format: bigint
        rr_arv:
          type: integer
          format: bigint
        rr_beds:
          type: integer
          format: smallint
        rr_baths:
          type: integer
          format: smallint
        ff_arv:
          type: integer
          format: bigint
        ff_renovation_cost:
          type: integer
          format: bigint
        property_annual_tax:
          type: integer
          format: bigint
        property_annual_hoa:
          type: integer
          format: bigint
        rr_renovation_cost:
          type: integer
          format: bigint
        reno_items:
          type: array
          items:
            type: object
        fmv:
          type: integer
          format: bigint
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````